int main(void)
{
    /* Initialized data */
    static float a[9] /* was [3][3] */ = { 1.f,-10.f,5.f,.5f,2.f,1.f,0.f,
                                           0.f,.5f };
    static float b[9] /* was [3][3] */ = { .5f,3.f,4.f,0.f,3.f,.5f,0.f,0.f,
                                          1.f };
    /* Local variables */
    static float alfi[3], beta[3], alfr[3];
    static int ierr;
    extern int afg3r_c(float *, float *, float *, int *, int *),
               agt0r_c(float *, float *, float *, float *, float *, float *,
                       int *, int *);
    static int i__, m, n;
    static float v[9] /* was [3][3] */;

#define a_ref(a_1,a_2) a[(a_2)*3 + a_1 - 4]
#define b_ref(a_1,a_2) b[(a_2)*3 + a_1 - 4]
#define v_ref(a_1,a_2) v[(a_2)*3 + a_1 - 4]

    for (i__ = 1; i__ <= 3; ++i__) {
         printf("\n %13.3e %13.3e %13.3e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3));
    }
    for (i__ = 1; i__ <= 3; ++i__) {
         printf("\n %13.3e %13.3e %13.3e \n",
                b_ref(i__, 1), b_ref(i__, 2), b_ref(i__, 3));
    }
    n = 3;
    m = 0;
    afg3r_c(a, b, v, &n, &m);

    for (i__ = 1; i__ <= 3; ++i__) {
         printf("\n %13.3e %13.3e %13.3e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3));
    }
    for (i__ = 1; i__ <= 3; ++i__) {
         printf("\n %13.3e %13.3e %13.3e \n",
                b_ref(i__, 1), b_ref(i__, 2), b_ref(i__, 3));
    }
    for (i__ = 1; i__ <= 3; ++i__) {
         printf("\n %14.5e %14.5e %14.5e \n",
                v_ref(i__, 1), v_ref(i__, 2), v_ref(i__, 3));
    }
    agt0r_c(a, b, v, alfr, alfi, beta, &n, &ierr);

    for (i__ = 1; i__ <= 3; ++i__) {
         printf("\n %13.3e %13.3e %13.3e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3));
    }
    for (i__ = 1; i__ <= 3; ++i__) {
         printf("\n %13.3e %13.3e %13.3e \n",
                b_ref(i__, 1), b_ref(i__, 2), b_ref(i__, 3));
    }
    for (i__ = 1; i__ <= 3; ++i__) {
         printf("\n %14.5e \n", alfr[i__-1]);
    }
    for (i__ = 1; i__ <= 3; ++i__) {
         printf("\n %14.5e \n", alfi[i__-1]);
    }
    for (i__ = 1; i__ <= 3; ++i__) {
         printf("\n %14.5e \n", beta[i__-1]);
    }
    for (i__ = 1; i__ <= 3; ++i__) {
         printf("\n %14.5e %14.5e %14.5e \n",
                v_ref(i__, 1), v_ref(i__, 2), v_ref(i__, 3));
    }
    printf("\n %5i \n", ierr);
    return 0;
} /* main */

#undef v_ref
#undef b_ref
#undef a_ref
